<!-- Macro Header -->
{% macro header() %}
<script
  src="https://cdn.jsdelivr.net/gh/alpinejs/alpine@v2.x.x/dist/alpine.min.js"
  defer
></script>
<header>
  <div
    x-data="{ open: false }"
    class="container flex flex-col px-4 mx-auto md:items-center md:justify-between md:flex-row md:px-6 lg:px-8"
  >
    <div class="flex flex-row items-center justify-between p-4 pt-12">
      <a
        href="/"
        class="text-3xl font-semibold tracking-widest rounded-lg text-white focus:outline-none focus:shadow-outline"
        >UnlockTheCloud'24</a
      >
      <button
        class="rounded-lg md:hidden focus:outline-none focus:shadow-outline"
        @click="open = !open"
      >
        <svg fill="white" viewBox="0 0 20 20" class="w-6 h-6">
          <path
            x-show="!open"
            fill-rule="evenodd"
            d="M3 5a1 1 0 011-1h12a1 1 0 110 2H4a1 1 0 01-1-1zM3 10a1 1 0 011-1h12a1 1 0 110 2H4a1 1 0 01-1-1zM9 15a1 1 0 011-1h6a1 1 0 110 2h-6a1 1 0 01-1-1z"
            clip-rule="evenodd"
          ></path>
          <path
            x-show="open"
            fill-rule="evenodd"
            d="M4.293 4.293a1 1 0 011.414 0L10 8.586l4.293-4.293a1 1 0 111.414 1.414L11.414 10l4.293 4.293a1 1 0 01-1.414 1.414L10 11.414l-4.293 4.293a1 1 0 01-1.414-1.414L8.586 10 4.293 5.707a1 1 0 010-1.414z"
            clip-rule="evenodd"
          ></path>
        </svg>
      </button>
    </div>
    <nav
      :class="{'flex': open, 'hidden': !open}"
      class="flex-col flex-grow hidden pb-4 md:pb-0 md:flex md:justify-end md:flex-row"
    >
      <a
        class="px-4 py-2 mt-2 text-md md:text-xl font-semibold rounded-lg hover:bg-gray-600 focus:bg-gray-600 focus:text-white hover:text-white text-gray-200 md:mt-0 md:ml-4"
        href="/schedule"
        >Schedule</a
      >
      <a
        class="px-4 py-2 mt-2 text-md md:text-xl font-semibold rounded-lg hover:bg-gray-600 focus:bg-gray-600 focus:text-white hover:text-white text-gray-200 md:mt-0 md:ml-4"
        href="#"
        >Agenda</a
      >
      <a
        class="px-4 py-2 mt-2 text-md md:text-xl font-semibold rounded-lg hover:bg-gray-600 focus:bg-gray-600 focus:text-white hover:text-white text-gray-200 md:mt-0 md:ml-4"
        href="/#speakers"
        >Speaker</a
      >
      <a
        class="px-4 py-2 mt-2 text-md md:text-xl bg-blue-600 font-semibold rounded-lg hover:bg-yellow-600 focus:bg-blue-200 focus:text-white text-white md:mt-0 md:ml-4"
        href="/register"
        >Register</a
      >
    </nav>
  </div>
</header>
{% endmacro %}

<!-- Macro Footer -->
{% macro footer() %}
<footer>
  <div class="container px-6 py-8 mx-auto">
    <div class="flex flex-col items-center text-center text-white">
      <a class="font-semibold text-2xl" href="/">UnlockTheCloud'24</a>

      <p class="max-w-md mx-auto mt-4 text-gray-400">
        Build & Ship Powerful Web Apps with FAST API Mastery.
      </p>

      <div
        class="flex flex-col mt-4 sm:flex-row sm:items-center sm:justify-center"
      >
        <button
          onclick="window.location.href='/register'"
          class="w-full px-5 py-2 text-sm tracking-wide text-white capitalize transition-colors duration-300 transform bg-blue-600 rounded-md sm:mx-2 sm:order-2 sm:w-auto hover:bg-blue-500 focus:outline-none focus:ring focus:ring-blue-300 focus:ring-opacity-80"
        >
          Register now
        </button>
      </div>
    </div>

    <hr class="my-10 border-gray-700" />

    <div class="flex flex-col items-center sm:flex-row sm:justify-between">
      <p class="text-sm text-gray-500">
        © Copyright 2024. All Rights Reserved.
      </p>

      <div class="flex mt-3 -mx-2 sm:mt-0">
        <a
          href="#"
          class="mx-2 text-sm text-gray-500 transition-colors duration-300 hover:text-gray-300"
          aria-label="terms"
        >
          Teams
        </a>

        <a
          href="#"
          class="mx-2 text-sm text-gray-500 transition-colors duration-300 hover:text-gray-300"
          aria-label="privacy"
        >
          Privacy
        </a>

        <a
          href="#"
          class="mx-2 text-sm text-gray-500 transition-colors duration-300 hover:text-gray-300"
          aria-label="cookies"
        >
          Cookies
        </a>
      </div>
    </div>
  </div>
</footer>
{% endmacro %}

<!-- Footer minimized -->
{% macro minFooter() %}
<footer>
  <div class="container px-6 py-8 mx-auto">
    <hr class="my-10 border-gray-700" />

    <div class="flex flex-col items-center sm:flex-row sm:justify-between">
      <p class="text-sm text-gray-500">
        © Copyright 2024. All Rights Reserved.
      </p>

      <div class="flex mt-3 -mx-2 sm:mt-0">
        <a
          href="#"
          class="mx-2 text-sm text-gray-500 transition-colors duration-300 hover:text-gray-300"
          aria-label="Reddit"
        >
          Teams
        </a>

        <a
          href="#"
          class="mx-2 text-sm text-gray-500 transition-colors duration-300 hover:text-gray-300"
          aria-label="Reddit"
        >
          Privacy
        </a>

        <a
          href="#"
          class="mx-2 text-sm text-gray-500 transition-colors duration-300 hover:text-gray-300"
          aria-label="Reddit"
        >
          Cookies
        </a>
      </div>
    </div>
  </div>
</footer>
{% endmacro %}
